#!/bin/csh
#
# ReindexHelp.command
#
# This will reindex a help directory
#
# Make sure to set this script to allow execute permissions
#
#   chmod +x ReindexHelp.command
#
#

# Change to the directory where this script is at
cd "`dirname "$0"`"

# Set the HELPDIR variable to the {Program Name}.help directory
# which is 4 levels up from this current directory that
# this command script is at.
set HELPDIR = '../../../../CafMidiExtractor.help'

# man hiutil to set additional parameters.
# -Caf is the default settings that the 'Help Indexer' program uses

# Remove any existing .helpindex file
if(-e "$HELPDIR.helpindex" ) then
rm "$HELPDIR.helpindex"
endif

# Now create your $HELPDIR.helpindex and put it
# in the same directory where this script is at.
hiutil -Caf "$HELPDIR.helpindex" ../../../..
